#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QUrl>
#include <QByteArray>
#include <QUrlQuery>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    QNetworkAccessManager *manager = new QNetworkAccessManager(this);
    //connect(manager, SIGNAL(finished(QNetworkReply*)),
     //       this, SLOT(replyFinished(QNetworkReply*)));

    QString xml="<params><uch>%1</uch><owner val='ooo'>%2</owner></params>";

    int uch=100;
    QString owner="ivanov";

    xml=xml.arg(uch).arg(owner);
    qDebug()<<xml;

    QString base64=QByteArray(xml.toUtf8()).toBase64();
    qDebug()<<base64;
    QString ss=QString(QByteArray::fromBase64(base64.toLatin1()));
    qDebug()<<ss;

//QString p="http://127.0.0.1:3001/index.html?type=privet&work=tt&params="+base64;

QUrl url("http://127.0.0.1:3001/index.html");
QUrlQuery query;
query.addQueryItem("type", "privet");
query.addQueryItem("work", "tt");
query.addQueryItem("params", QUrl::toPercentEncoding(base64));
query.addQueryItem("xml", QUrl::toPercentEncoding(xml));
url.setQuery(query.query());
QNetworkRequest request(url);

//QString encodedQueryString = QUrl::toPercentEncoding(p);
//QNetworkRequest request(QUrl url(encodedQueryString) );
manager->get(request);



}
